git: b562307b7034 - stable/13 - freebsd-update: use grep -E instead of egrep

From: Ed Maste <emaste_at_FreeBSD.org>
Date: Mon, 06 Mar 2023 00:31:30 UTC
The branch stable/13 has been updated by emaste:

URL: https://cgit.FreeBSD.org/src/commit/?id=b562307b70346030f59fe6a05d125814c74da47b

commit b562307b70346030f59fe6a05d125814c74da47b
Author:     Ed Maste <emaste@FreeBSD.org>
AuthorDate: 2023-03-02 23:54:52 +0000
Commit:     Ed Maste <emaste@FreeBSD.org>
CommitDate: 2023-03-06 00:30:57 +0000

    freebsd-update: use grep -E instead of egrep
    
    GNU egrep emits a warning that it is obsolescent and suggests grep -E
    instead.  Switch to grep -E in case we end up invoking GNU (e)grep (and
    for consistency with other invocations in this file).
    
    Reported by:    Steffen Nurpmeso
    Sponsored by:   The FreeBSD Foundation
    
    (cherry picked from commit e27ded83c76a609687a3d9e82b80fe7e1b782bf6)
---
 usr.sbin/freebsd-update/freebsd-update.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/usr.sbin/freebsd-update/freebsd-update.sh b/usr.sbin/freebsd-update/freebsd-update.sh
index 225d1e31e3ec..4ef44d1ad000 100644
--- a/usr.sbin/freebsd-update/freebsd-update.sh
+++ b/usr.sbin/freebsd-update/freebsd-update.sh
@@ -2547,7 +2547,7 @@ manually...
 				read dummy </dev/tty
 				${EDITOR} `pwd`/merge/new/${F} < /dev/tty
 
-				if ! egrep -q '^(<<<<<<<|=======|>>>>>>>)([[:space:]].*)?$' $(pwd)/merge/new/${F} ; then
+				if ! grep -qE '^(<<<<<<<|=======|>>>>>>>)([[:space:]].*)?$' $(pwd)/merge/new/${F} ; then
 					break
 				fi
 				cat <<-EOF